MoneyUnify - Mobile Money Payments API
  1. Request Payment
MoneyUnify - Mobile Money Payments API
  • Mobile Money API Documentation
  • Request Payment
    • Request to Pay
      POST
    • Verify Payment
      POST
  • Account Lookup
    • Account Lookup
      POST
  • Payment Links
    • Create a Paymenk Link
      POST
  • Settlements / Withdrawals
    • Settlement
      POST
  • Direct Transfers - coming soon
    • Direct Transafer
      POST
  • Split Payments - coming soon
  1. Request Payment

Request to Pay

POST
https://api.moneyunify.one/payments/request
Request for a payment from your customers or clients

Request

Header Params

Body Params application/x-www-form-urlencoded

Responses

🟢200Request to Pay
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.moneyunify.one/payments/request' \
--header 'Accept: application/json' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'from_payer=097xxxxxxx' \
--data-urlencode 'amount=1' \
--data-urlencode 'auth_id=01K7SFJKJ0J61A3XRWC1W6TW90'
Response Response Example
{
    "message": "Transaction Initiated Successfully",
    "data": {
        "status": "initiated",
        "amount": 1,
        "transaction_id": "sPX215101815432505",
        "charges": 0.035,
        "from_payer": "260971xxxxxxx"
    },
    "isError": false
}
Modified at 2026-01-03 10:41:15
Previous
Request Payment
Next
Verify Payment
Built with